Page MenuHomePhabricator

Unable to login to gerrit
Closed, ResolvedPublic

Description

Unable to login to gerrit
https://gerrit.wikimedia.org/r/login/

The error message is "Authentication failed.".

Related Objects

StatusSubtypeAssignedTask
Resolvedthcipriani

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2019, 12:13 PM

Can you log into wikitech.wikimedia.org successfully? Have you tried both capital first letter and non-capital first letter on Gerrit?

@Aklapper case is no longer is a problem :)

We switched it so it’s always lowercase. So I’m going to say 99% that the username in All-Users contains an uppercase this is not matching.

Change 510183 had a related patch set uploaded (by Paladox; owner: Paladox):
[All-Users@refs/meta/external-id] Usernametolower shirayuki

https://gerrit.wikimedia.org/r/510183

I have tried capital first letter, non-capital first letter and email address.
I can log into wikitech.wikimedia.org.

Can this task be closed as per last comments, or is there something left to do here?
If yes, feel free to set the status of this task to "Resolved" via the Add Action...Change Status dropdown. Thanks!

No, unable to log in as above.

Dzahn added a subscriber: Dzahn.Jul 3 2019, 10:42 PM
Dzahn added a comment.Jul 3 2019, 10:44 PM

Hi @Shirayuki, i think @thcipriani can help you but please keep in mind there is a big public holiday in the US tomorrow.

greg triaged this task as High priority.Jul 6 2019, 4:35 AM
greg moved this task from INBOX to Ready on the Release-Engineering-Team-TODO (201907) board.

Hi @Shirayuki sorry for the delay

@Aklapper case is no longer is a problem :)
We switched it so it’s always lowercase. So I’m going to say 99% that the username in All-Users contains an uppercase this is not matching.

In this case the "gerrit" scheme username for this user is correct; i.e., their username is already lowercase. It's not the case of the username. This account appears to be inactive according to gerrit.

thcipriani added a subtask: Restricted Task.Jul 8 2019, 7:17 PM
thcipriani closed this task as Resolved.Jul 11 2019, 4:00 PM
thcipriani closed subtask Restricted Task as Resolved.

Hi @Shirayuki I believe your issue should be resolved. Please re-open this ticket if you ware still unable to login.